gtkmm 2.4: Gtk::RecentManager Class Reference

Main Page Widgets Namespaces Book

# Gtk::RecentManager Class Reference

Inheritance diagram for Gtk::RecentManager:

[legend]
List of all members.

## Detailed Description

TODO: Add documentation when the C docs are online.

## Public Types
typedef sigc::slot<void> | SlotChanged
| For instance, void on_changed();.
## Public Member Functions
bool | add_full (const Glib::ustring& uri, const Data& recent_data)
bool | add_item (const Glib::ustring& uri)
Glib::ListHandle< Glib::RefPtr< RecentInfo > > | get_items () const
int | get_limit () const
const GtkRecentManager* | gobj () const
| Provides access to the underlying C GObject.
GtkRecentManager* | gobj ()
| Provides access to the underlying C GObject.
GtkRecentManager* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
bool | has_item (const Glib::ustring& uri) const
RecentInfo | lookup_item (const Glib::ustring& uri)
bool | move_item (const Glib::ustring& uri, const Glib::ustring& new_uri)
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_filename () const
| The full path to the file to be used to store and read the list.
Glib::PropertyProxy_ReadOnly< int > | property_limit () const
| The maximum number of items to be returned by gtk_recent_manager_get_items.
Glib::PropertyProxy<int> | property_limit ()
| The maximum number of items to be returned by gtk_recent_manager_get_items.
Glib::PropertyProxy_ReadOnly< int > | property_size () const
| The size of the recently used resources list.
int | purge_items ()
bool | remove_item (const Glib::ustring& uri)
void | set_limit (int limit)
void | set_screen (const Glib::RefPtr<Gdk::Screen>& screen)
Glib::SignalProxy0<void> | signal_changed ()
| The "changed" signal is emitted when an item in the recently used resources list is changed.
virtual | ~RecentManager ()
## Static Public Member Functions
static Glib::RefPtr<RecentManager> | create ()
static Glib::RefPtr<RecentManager> | get_default ()
static Glib::RefPtr<RecentManager> | get_for_screen (const Glib::RefPtr<Gdk::Screen>& screen)
## Protected Member Functions
virtual void | on_changed ()
| RecentManager ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gtk::RecentManager> | wrap (GtkRecentManager* object, bool take_copy=false)
## Classes
class | Data

## Member Typedef Documentation

typedef sigc::slot<void> Gtk::RecentManager::SlotChanged

| For instance, void on_changed();.

## Constructor & Destructor Documentation

virtual Gtk::RecentManager::~RecentManager | ( |  | ) | `[virtual]`

Gtk::RecentManager::RecentManager | ( |  | ) | `[protected]`

## Member Function Documentation

bool Gtk::RecentManager::add_full | ( | const Glib::ustring& | uri,
|  | const Data& | recent_data
| ) |

bool Gtk::RecentManager::add_item | ( | const Glib::ustring& | uri | ) |

static Glib::RefPtr<RecentManager> Gtk::RecentManager::create | ( |  | ) | `[static]`

static Glib::RefPtr<RecentManager> Gtk::RecentManager::get_default | ( |  | ) | `[static]`

static Glib::RefPtr<RecentManager> Gtk::RecentManager::get_for_screen | ( | const Glib::RefPtr<Gdk::Screen>& | screen | ) | `[static]`

Glib::ListHandle<Glib::RefPtr<RecentInfo>> Gtk::RecentManager::get_items | ( |  | ) | const

int Gtk::RecentManager::get_limit | ( |  | ) | const

const GtkRecentManager* Gtk::RecentManager::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GtkRecentManager* Gtk::RecentManager::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GtkRecentManager* Gtk::RecentManager::gobj_copy | ( |  | ) |

| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

bool Gtk::RecentManager::has_item | ( | const Glib::ustring& | uri | ) | const

RecentInfo Gtk::RecentManager::lookup_item | ( | const Glib::ustring& | uri | ) |

bool Gtk::RecentManager::move_item | ( | const Glib::ustring& | uri,
|  | const Glib::ustring& | new_uri
| ) |

virtual void Gtk::RecentManager::on_changed | ( |  | ) | `[protected, virtual]`

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::RecentManager::property_filename | ( |  | ) | const

| The full path to the file to be used to store and read the list. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::RecentManager::property_limit | ( |  | ) | const

| The maximum number of items to be returned by gtk_recent_manager_get_items. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::RecentManager::property_limit | ( |  | ) |

| The maximum number of items to be returned by gtk_recent_manager_get_items. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::RecentManager::property_size | ( |  | ) | const

| The size of the recently used resources list. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

int Gtk::RecentManager::purge_items | ( |  | ) |

bool Gtk::RecentManager::remove_item | ( | const Glib::ustring& | uri | ) |

void Gtk::RecentManager::set_limit | ( | int | limit | ) |

void Gtk::RecentManager::set_screen | ( | const Glib::RefPtr<Gdk::Screen>& | screen | ) |

Glib::SignalProxy0<void> Gtk::RecentManager::signal_changed | ( |  | ) |

| The "changed" signal is emitted when an item in the recently used resources list is changed.

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::RecentManager> wrap | ( | GtkRecentManager* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- recentmanager.h